---
title: "Blog"
source: /nl/gcxone/api/blog
locale: nl
updated: 2026-09-04
---
Operaties op blogbronnen. 6 eindpunten, elk relatief aan `https://api.nxgen.cloud/api/v1` en geauthenticeerd zoals beschreven onder [Authenticatie](/gcxone/api/authentication).

## POST /blog

Voeg een nieuwe blog toe op een specifiek hiërarchisch niveau

### Request body

Blog toevoegen

```json
{
  "title": "string (required)",
  "description": "string",
  "content": "string",
  "accessLevel": "string (required)",
  "entityId": "string (required)",
  "thumbnail": "string",
  "jsonSchemaResult": "object",
  "isAccessRestricted": "boolean"
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 400 | Ongeldige invoer |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |

Example `200` response:

```json
{
  "_id": "62ea2a8328c7c9",
  "uniqueId": "afd49a39338dc",
  "accessLevel": "site",
  "createdBy": "developer-1@dev.de",
  "createdOn": 1659513475763,
  "title": "new blog",
  "description": "desc",
  "content": "<p>test content</p>",
  "isAccessRestricted": true,
  "jsonSchemaResult": {},
  "thumbnail": "",
  "serviceProviderId": "",
  "customerId": "",
  "siteId": ""
}
```

## POST /blog/filter

Haal bloglijst op met filteren, sorteren en pagineren. Het maakt hiërarchisch niveau zoeken mogelijk. Het kan gefilterd worden met een opgegeven hiërarchie of gebruikt de hiërarchie van de ingelogde gebruiker. Dit biedt de optie om extra entiteitsvelden in de respons op te nemen. Biedt tevens configuratiemetadata over de entiteit.

### Request body

Blog filtering and sorting

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success | object |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet geautoriseerd |  |
| 403 | Verboden |  |

Voorbeeld `200` respons:

```json
{
  "dataResult": [
    {
      "_id": "62d76c65104ef771f6a11f0c",
      "uniqueId": "62d76c65104ef771f6a11f0cas1209ji",
      "title": "Blog 1",
      "description": "description 1",
      "accessLevel": "serviceprovider",
      "isPublished": true,
      "publishedOn": 1658285307,
      "createdBy": "developer-1@dev.de",
      "createdOn": 1658285307,
      "modifiedBy": "",
      "modifiedOn": 1658285307
    },
    {
      "_id": "62d76f78104ef771f6a11f0e",
      "uniqueId": "156c67kiokio04ef771f6a11f0cas1209ji",
      "title": "Blog 2",
      "description": "description 2",
      "accessLevel": "serviceprovider",
      "isPublished": true,
      "publishedOn": 1658285307,
      "createdBy": "developer-1@dev.de",
      "createdOn": 1658285307,
      "modifiedBy": "",
      "modifiedOn": 1658285307
    }
  ],
  "totalRecordsCount": 15
}
```

## GET /blog/{id}

Haal blog op op Id

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | path | string | ja |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

Voorbeeld `200` respons:

```json
{
  "_id": "62ea2a8328c7c9",
  "uniqueId": "afd49a39338dc",
  "accessLevel": "site",
  "createdBy": "developer-1@dev.de",
  "createdOn": 1659513475763,
  "modifiedBy": "developer-1@dev.de",
  "modifiedOn": 1659514047995,
  "title": "new blog",
  "description": "desc",
  "content": "<p>test content</p>",
  "isAccessRestricted": true,
  "jsonSchemaResult": {},
  "thumbnail": "",
  "serviceProviderId": "",
  "customerId": "",
  "siteId": ""
}
```

## PUT /blog/{id}

Werk een bestaande blog bij

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | pad | string | ja |  |

### Verzoek body

Om een blog bij te werken, geef de bestaande Id

```json
{
  "title": "string",
  "description": "string",
  "content": "string",
  "thumbnail": "string",
  "jsonSchemaResult": "object",
  "isAccessRestricted": "boolean"
}
```

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

Voorbeeld `200` respons:

```json
{
  "_id": "62ea2a8328c7c9",
  "uniqueId": "afd49a39338dc",
  "accessLevel": "site",
  "createdBy": "developer-1@dev.de",
  "createdOn": 1659513475763,
  "modifiedBy": "developer-1@dev.de",
  "modifiedOn": 1659514047995,
  "title": "new blog",
  "description": "desc",
  "content": "<p>test content</p>",
  "isAccessRestricted": true,
  "jsonSchemaResult": {},
  "thumbnail": "",
  "serviceProviderId": "",
  "customerId": "",
  "siteId": ""
}
```

## PATCH /blog/{id}

Patch om de blog te publiceren

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | pad | string | ja |  |

### Verzoek body

Om de blog te publiceren

```json
{
  "isPublished": "boolean"
}
```

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 401 | Niet geautoriseerd |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

Voorbeeld `200`respons:

```json
{
  "isSuccess": true
}
```

## DELETE /blog/{id}

Verwijder een blog op ID

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | pad | tekenreeks | ja |  |

### Responsen

| Status | Beschrijving | Inhoud |
| --- | --- | --- |
| 200 | Succes |  |
| 401 | Niet geautoriseerd |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

Voorbeeld `200` respons:

```json
{
  "isSuccess": true
}
```